#!/usr/bin/env python3
# -*- coding: UTF-8 -*-

from dns import resolver


def domain2ip(domain):
    """
    解析域名到IP
    :param domian: 域名
    :return 返回IP列表
    """
    ips = []
    try:
        answers = resolver.query(domain, 'A')
        for rdata in answers:
            ips.append(rdata.address)
    except Exception as e:
        pass
    return ips

def domain2cname(domain):
    """
    解析域名到IP
    :param domian: 域名
    :return 返回cname列表
    """
    cnames = []
    try:
        answers = resolver.query(domain, 'CNAME')
        for rdata in answers:
            cnames.append(str(rdata.target).strip(".").lower())
    except Exception as e:
        pass
    return cnames
