#!/usr/bin/env python3
# -*- coding: UTF-8 -*-

import os
from .sqlite_help import sqliteDB


def init_db(name, path=os.path.split(os.path.realpath(__file__))[0]):
    dbname = os.path.join(path, name+"_hash.db")
    if not os.path.exists(dbname):
        db = sqliteDB(dbname, 'CREATE TABLE hash_table (hash TEXT NOT NULL);')
    else:
        db = sqliteDB(dbname)
    return db


def get_hash(name, hash):
    db = init_db(name)
    return bool(db.get("select * from hash_table where hash=?", [hash, ]))


def put_hash(name, hash):
    db = init_db(name)
    return bool(db.set("INSERT INTO hash_table (hash) VALUES (?)", [hash, ]))


def del_db(name, path=os.path.split(os.path.realpath(__file__))[0]):
    dbname = os.path.join(path, name+"_hash.db")
    try:
        os.remove(dbname)
    except:
        pass
